package com.bcxin.ars.dto;

import com.fasterxml.jackson.annotation.JsonBackReference;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonManagedReference;
import lombok.Data;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 * 省市县
 * @author Ethan
 */
@Data
public class NativeReturnDTO implements Serializable{

	private static final long serialVersionUID = -1280029273417914047L;
	
	/**
	 * 省市县编号
	 */
	private Long code;
	
	/**
	 * 地区名
	 */
	private String nativeName;
	
	/**
	 * 上级区域编号
	 */
	private Long parentCode;

	public Long getCode() {
		return code;
	}

	public void setCode(Long code) {
		this.code = code;
	}

	public String getNativeName() {
		return nativeName;
	}

	public void setNativeName(String nativeName) {
		this.nativeName = nativeName;
	}

	public Long getParentCode() {
		return parentCode;
	}

	public void setParentCode(Long parentCode) {
		this.parentCode = parentCode;
	}
}
